Skip to content

List all payments

Request

Security
JWT
Query
customer_idstring

The unique identifier for the customer.

Example:customer_id=cust_E602sMzgjpDC
statusstring

Status of payin to filter

Enum:"success""failed""action_required""in_progress"
Example:status=success
compliance_statusstring

Filters payments by the outcome of their compliance review.

Enum:"under_review""action_required""approved""rejected"
Example:compliance_status=approved
payin_idstring

The unique identifier for the payin.

Example:payin_id=payin_E602dMzgjpDC
payment_typestring

Filters payments by their payin type. Use add_funds to list only Add Balance top-ups crediting your Funded Balance.

Enum:"payment_link""orders""add_funds"
Example:payment_type=add_funds
subscription_idstring

The unique identifier for the subscription.

Example:subscription_id=sub_68877570b5zeE
currencystring, (iso-4217, case-insensitive)

The currency in which the payment is made. The currency code is in ISO 4217 format. For example, USD.

Example:currency=USD
request_idstring

Filter payments by the merchant-provided idempotency key.

Example:request_id=unique_request_id_123
beforestring, (timestamp)

ISO-8601 timestamp in UTC to filter resources created before this time. Use this to avoid Page drift issue. See Pagination parameters for more details.

Example:before=2025-02-18T12:03:44Z
afterstring, (timestamp)

ISO-8601 timestamp in UTC to filter resources created after this time. Use this to avoid Page drift issue. See Pagination parameters for more details.

Example:after=2025-01-18T12:03:44Z
per_pageinteger

Number of resources per page. Should be between 1 and 100.

Default:20
pageinteger

Page number for pagination. Starts from 1. Get the next page number from the next field in the response.

Default:1
GET
/payment
curl -i -X GET \
  'https://api.glomopay.com/api/v1/payment?customer_id=cust_E602sMzgjpDC&status=success&compliance_status=approved&payin_id=payin_E602dMzgjpDC&payment_type=add_funds&subscription_id=sub_68877570b5zeE&currency=USD&request_id=unique_request_id_123&before=2025-02-18T12%3A03%3A44Z&after=2025-01-18T12%3A03%3A44Z&per_page=20&page=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of payments matching the filters. Note: If filters do not match, API will return an empty list.

Bodyapplication/json
dataArray of objects(Payment)
page_metaobject(PageMeta)
Response
{ "data": [ {} ], "page_meta": { "current": 2, "previous": 1, "next": 3, "per_page": 20, "pages": 10, "count": 200 } }